from overseer import app
from overseer.api import open_websockets
from flask_socketio import SocketIO

socketio = SocketIO(app, path="/api/v1/socket.io")
open_websockets.append(socketio)


@socketio.on("message")
def handle_message(data):
    print("RAW DATA: %s" % data)


@socketio.on("json")
def handle_json(json):
    print("JSON DATA: %s" % json)
